<script >
// Properties
export let selectedContinent = 'all';
export let selectYear = 1800;

const continents = ["all", "europe", "asia", "americas", "africa"];
  
 
//slider animation
function currentYear() {
  if (selectYear >= 2014) {selectYear =1800}
  else{selectYear++}
}
let loop;
let paused = true;
const makeProgress = () => {
		
    if (paused) {
      loop = setInterval(currentYear,100);
      paused = false;}
    else {
      paused = true;
      clearInterval(loop);
    }
	}

//reset button function
const reset = () => {
		selectYear = 1800;
	  clearInterval(loop)
    paused = true;
 }
</script>


<div class="row" >
  <!--  -->
  <div class='col-1'>
    <button class="btn btn-primary" on:click={makeProgress}>{paused ? 'Start': 'Stop'}</button>
    <button class="btn btn-primary" on:click={reset}>Reset</button>
  </div>
  <div class='col-2'>
    <label> 
    Year: {selectYear} 
    <input type="range" min='1800' max='2014' bind:value={selectYear} />
    </label>
  </div>
  <div class='col-3'>
      <select bind:value={selectedContinent}>
        {#each continents as ct}
          <option>{ct}</option>
        {/each}
      </select>
    </div>
  
</div>

<style>
  .row {
    width: 120%;
		height: 90px;
		position: relative;
		margin-top: 5%;
  }

  button {
    width: 80px;
    margin-bottom: 6px;

  }
  .col-1 {
    float: left;
    width: 33%;
  }

  .col-2 {
    display:inline-block;
    width: 33%;
    
  }

  .col-3{
    float: right;
    width: 33%;
  }

  select {
    padding: 9.5px 10px;
  }
</style>
